-- More generic script for converting task_id to a 32-character string
-- (see guid_convert_mysql.sql for MySQL; it's much simpler). This
-- general process worked for me on Postgres.

ALTER TABLE nag_tasks ADD COLUMN new_id VARCHAR(32);
UPDATE nag_tasks SET new_id = task_id;
ALTER TABLE nag_tasks DROP COLUMN task_id;
ALTER TABLE nag_tasks RENAME COLUMN new_id TO task_id;
ALTER TABLE nag_tasks ALTER COLUMN task_id SET NOT NULL;
CREATE INDEX nag_tasks_pkey ON nag_tasks (task_id);
